Udoo quad Debian and Ubuntu image with 4.4.20 and 3.14.79 / 16.9.2016

Discussion in 'Debian' started by igorpec, Mar 7, 2015.

  1. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
    Updated to 4.0.8
     
  2. mocho

    mocho New Member

    Joined:
    Mar 14, 2015
    Messages:
    8
    Likes Received:
    0
    In ubuntu i could not start desktop enviorment. It has a seg fault when start Xorg server if i remember
     
  3. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
  4. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
    v4.4 / 1.10.2015

    – Udoo quad images with fixed legacy kernel 3.14.28,
    - vanilla kernel upgrade to 4.2.2
    - install script bug fixes
    - performance tweak: choosing a closest Debian mirror
     
  5. Luca

    Luca New Member

    Joined:
    Nov 4, 2015
    Messages:
    5
    Likes Received:
    0
    Hi
    I'm having some problem with last version of your Debian Jessy Desktop.
    It does not recognize any type of mouse/keyboard:


    [ 15.419442] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
    [ 24.113454] usb 1-1.2: new low-speed USB device number 4 using ci_hdrc
    [ 24.230936] usb 1-1.2: New USB device found, idVendor=045e, idProduct=009d
    [ 24.230969] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
    [ 24.230991] usb 1-1.2: Product: Microsoft Wireless Optical Desktop® 2.10
    [ 24.231011] usb 1-1.2: Manufacturer: Microsoft
    [ 24.297933] usbcore: registered new interface driver usbhid
    [ 24.297961] usbhid: USB HID core driver
    [ 28.973690] usb 1-1.1: new low-speed USB device number 5 using ci_hdrc
    [ 29.089937] usb 1-1.1: New USB device found, idVendor=05ac, idProduct=0304
    [ 29.089969] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
    [ 29.089991] usb 1-1.1: Product: Apple Optical USB Mouse
    [ 29.090011] usb 1-1.1: Manufacturer: Mitsumi Electric

    How can i solve?


    Thanks
     
  6. WJMazepas

    WJMazepas New Member

    Joined:
    Oct 20, 2015
    Messages:
    7
    Likes Received:
    0
    How do you update the libvpuwrap?
    I am trying to install the gstreamer-imx but this is holding me
     
  7. Andrea Rovai

    Andrea Rovai Administrator Staff Member

    Joined:
    Oct 27, 2014
    Messages:
    1,684
    Likes Received:
    221
  8. WJMazepas

    WJMazepas New Member

    Joined:
    Oct 20, 2015
    Messages:
    7
    Likes Received:
    0
    Thanks, i will try this OS later.
    Bou now i could install the lifslvpuwrap. I was getting a error in the "./configure" but the i changed to ./autogen.sh and it worked.
    Now i am facing problems installing the gstreamer-imx, it says that it has a lot of undeclared variables on the code to compile, but i hope that i find how to make it work
     
  9. patrykk

    patrykk Member

    Joined:
    Dec 10, 2014
    Messages:
    50
    Likes Received:
    9
    Hi,
    I tested all libraries on arch linux ARM so for Debian and Ubuntoo I release only kernels.
    But I could paste for you a link to the lib:

    http://www.freescale.com/lgfiles/NMG/MAD/YOCTO/libfslvpuwrap-1.0.61.bin

    and compile likes:
    export CFLAGS="$CFLAGS -O2 -I/usr/include"
    export CPPFLAGS="$CPPFLAGS -O2 -I/usr/include"
    export LDFLAGS="$LDFLAGS -L/usr/lib"
    ./autogen.sh --prefix=/usr
    make all
     
  10. patrykk

    patrykk Member

    Joined:
    Dec 10, 2014
    Messages:
    50
    Likes Received:
    9
    BTW, please use last git of gstreamer-imx and paste logs.
     
  11. WJMazepas

    WJMazepas New Member

    Joined:
    Oct 20, 2015
    Messages:
    7
    Likes Received:
    0
    Thanks mate.
    I was using Udoobuntu 1.1 and i could install a new version of libfslvpuwarp, but i had to update the kernel for doing that.
    I will try this way later to see how much easier it is.
     
  12. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
    updated.
     
  13. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
  14. cma

    cma New Member

    Joined:
    Nov 5, 2015
    Messages:
    4
    Likes Received:
    0
  15. patrykk

    patrykk Member

    Joined:
    Dec 10, 2014
    Messages:
    50
    Likes Received:
    9
    For kernel 4.4. 20 > 26 I have two patches related to FEC. If you have problem with kernel please send to me info.
    regards,
     
  16. igorpec

    igorpec New Member

    Joined:
    Jan 25, 2015
    Messages:
    16
    Likes Received:
    2
    @cma
    Upgrade from Wheezy to Jessie should work but sometimes you can run into problems. Do a backup and just try.
     

Share This Page